Skip to content

Execute Batch Operations

Request

TAllows you to perform up to 100 parallel patch/delete operations

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The batch request

operationsArray of objects
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/statistics/{tenantId}/batch' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "operations": [
      {
        "id": "string",
        "object": {},
        "operation": "create",
        "patch_directives": [
          {
            "op": "add",
            "path": "string",
            "value": "string"
          }
        ]
      }
    ]
  }'

Responses

Request completed successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
error_countnumber, (float)(Error Count)

Number of error results

resultsArray of objects
success_countnumber, (float)(Success Count)

Number of successful results

Response
{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }